Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3698)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -198,6 +200,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -245,4 +247,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -265,6 +269,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -315,6 +319,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -385,6 +389,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -411,6 +415,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -469,6 +473,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -496,6 +500,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -523,6 +527,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -552,6 +556,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -578,6 +582,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Thu Dec 20 14:57:53 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -684,4 +688,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2411,4 +2419,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'simplep'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2496,5 +2515,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
